<template>
  <div class="navigation-wrapper f-wrapper f-column justify-center">
    <div class="navigation-box f-wrapper f-column">
      <nuxt-link 
        id="home-route" 
        class="f-child nuxt-route-link" 
        to="/"><div class="d-table"><p class="nuxt-route-link-text">Home</p></div></nuxt-link>
      <nuxt-link
        id="about-route" 
        class="f-child nuxt-route-link" 
        to="/about"><div class="d-table"><p class="nuxt-route-link-text">Me</p></div></nuxt-link>
      <nuxt-link 
        id="experience-route"
        class="f-child nuxt-route-link" 
        to="/experience"><div class="d-table"><p class="nuxt-route-link-text">Experience</p></div></nuxt-link>
      <nuxt-link 
        id="work-route "
        class="f-child nuxt-route-link" 
        to="/showcase"><div class="d-table"><p class="nuxt-route-link-text">Works</p></div></nuxt-link>
    </div>
  </div>
</template>

<style>
.navigation-wrapper {
  flex-basis: 30% !important;
}
.navigation-box {
  height: 40%;
  width: 80%;
  border-radius: 10px;
  -webkit-box-shadow: 1px 9px 20px -6px #661b52;
  box-shadow: 1px 9px 20px -6px #661b52;
  margin: auto;
  transition-duration: 0.3s;
}
.navigation-box:hover {
  transform: translate(0px, -2.5px);
  box-shadow: 1px 9px 20px -2px #661b52;
}

@-webkit-keyframes grandient-effect {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
@-moz-keyframes grandient-effect {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
@keyframes grandient-effect {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
.d-table {
  display: table;
  text-align: center;
  margin: auto;
  height: 100%;
}
.nuxt-route-link {
  text-decoration: blink;
  color: floralwhite;
}
.nuxt-route-link:hover {
  background-image: linear-gradient(
    to right bottom,
    #ff6f91,
    #ec64a0,
    #d15eaf,
    #af5dbb,
    #845ec2
  );
  background-size: 400% 400%;
  -webkit-animation: grandient-effect 2s ease infinite;
  -moz-animation: grandient-effect 2s ease infinite;
  animation: grandient-effect 2s ease infinite;
}
.nuxt-route-link-text {
  display: table-cell;
  vertical-align: middle;
}
</style>
